/* Copyright 2010 ESRI
* 
* All rights reserved under the copyright laws of the United States
* and applicable international laws, treaties, and conventions.
* 
* You may freely redistribute and use this sample code, with or
* without modification, provided you include the original copyright
* notice and use restrictions.
* 
* See the use restrictions at http://help.arcgis.com/en/sdk/10.0/usageRestrictions.htm
* 
*/
package com.esri.arcgis.sample.bookmarks;

import com.esri.adf.web.data.geometry.WebExtent;
import java.io.*;
/**
 * POJO object of Bookmark
 */
public class Bookmark implements Serializable{
  private String id, label, description;
  private WebExtent extent;

  /**
   * Get bookmark's id
   */
  public String getId() {
    return this.id;
  }

  public void setId(String id) {
    this.id = id;
  }

  /**
   * Get bookmark's label
   */
  public String getLabel() {
    return this.label;
  }

  public void setLabel(String label) {
    this.label = label;
  }

  /**
   * Get bookmark's description
   */
  public String getDescription() {
    return this.description;
  }

  public void setDescription(String description) {
    this.description = description;
  }

  /**
   * Get bookmark's map extent
   */
  public WebExtent getExtent() {
    return this.extent;
  }

  public void setExtent(WebExtent extent) {
    this.extent = extent;
  }
}